%define upstream_name    Role-Identifiable
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A thing with an ident attribute
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Role/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an incredibly simple role. It adds a required 'ident' attribute
that stores a simple string, meant to identify exceptions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.9.0-2.mga10
+ Revision: 2217081
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.9.0-1.mga9
+ Revision: 1928833
- update to 0.009

* Mon Jun 13 2022 tv <tv> 0.8.0-1.mga9
+ Revision: 1864250
- update to 0.008

* Sun Mar 20 2022 umeabot <umeabot> 0.7.0-9.mga9
+ Revision: 1805561
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.7.0-8.mga8
+ Revision: 1497051
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.7.0-7.mga7
+ Revision: 1270913
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-6.mga6
+ Revision: 1032894
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.7.0-5.mga6
+ Revision: 941601
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 747524
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.7.0-3.mga5
+ Revision: 732525
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 686111
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.7.0-1.mga5
+ Revision: 588634
- update to 0.007

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 514407
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 372308
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 18 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 53741
- imported package perl-Role-Identifiable


* Fri Feb 18 2011 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
